
<style>
    div.accordion1 {
    display: none;
}

div.accordion1.show {
    display: block !important;
}

</style>





<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-6 col-8 align-self-center">
                <h3 class="text-themecolor m-b-0 m-t-0">Table</h3>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                    <li class="breadcrumb-item active">Table</li>
                </ol>
            </div>
            <div class="col-md-6 col-4 align-self-center">
                <a class="btn pull-right hidden-sm-down btn-success" data-toggle="modal" data-target=".bs-example-modal-lg"> Add Category</a>
            </div>
            <!-- modal content for Add product -->
            <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" style="display:none;" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="myLargeModalLabel">
                                Add Category
                            </h4>
                            <buttot type="button" class="close" data-dismiss="modal" aria-hidden="true">x</buttot>
                        </div>
                        <div class="modal-body">
                            <div class="card">
                                <div class="card-block">
                                    <form class="form p-t-20">
                                        <div class="form-group">
                                            <label for="categoryid">Category ID</label>
                                            <div class="input-group">
                                                <input type="text" class="form-control" id="categoryid" placeholder="Category ID">
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="categoryname">Category Name</label>
                                            <div class="input-group">
                                                <input type="text" class="form-control" id="categoryname" placeholder="Category Name">
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-success waves-effect waves-light m-r-10">Submit</button>
                                        <button type="submit" class="btn btn-inverse waves-effect waves-light" data-dismiss="modal">cancel</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger waves-effect tex-left" data-dismiss="modal">close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!--<div class="col-md-6 col-4 align-self-center">
                <a href="https://wrappixel.com/templates/monsteradmin/" class="btn pull-right hidden-sm-down btn-success"> Upgrade to Pro</a>
            </div>
-->            </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Start Page Content -->
        <!-- ============================================================== -->
        <div class="row">
            <!-- column -->
            <div class="col-sm-12">
                <div class="card">

                    <div id="OrderPackages" class="table-responsive">
                        <table id="tableSearchResults" class="table color-bordered-table primary-bordered-table ">
                            <thead>
                            <tr ng-repeat="sub in catsubcat | limitTo: 1">
                                <th ng-repeat="(key,value) in sub" ng-if="key!='subcategory'">{{key}}</th>
                                <!--<th>Category Name</th>-->
                                <th></th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody ng-repeat="sub in catsubcat">

                            <tr id="package1" data-toggle="collapse" data-parent="#OrderPackages" data-target=".{{sub.categoryId*5}}" ng-click="getsubcategory(sub.categoryId);">
                                <td ng-repeat="(key,value) in sub" ng-if="key!='subcategory'">{{value}}</td>
                                <!--<td>Electronics</td>-->
                                <td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>
                                <td><i class="fa fa-hand-o-up waves-effect"></i>

                                </td>
                            </tr>
                            <tr>
                                <td colspan="3" class="hiddenRow">
                                    <div class="accordion-body collapse {{sub.categoryId*5}}" id="accordion1">

                                        <div  class="table-responsive">
                                            <table id="tableSarchResults" class="table color-bordered-table primary-bordered-table">
                                                <thead>

                                                <tr>
                                                    <th>{{sub.categoryId*5}}</th>
                                                    <th>Sub_Category id</th>
                                                    <th>Sub_Category Name</th>
                                                    <th></th>
                                                    <th></th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr id="package11" ng-repeat="sub in newsubarr">
                                                    <td ng-repeat="(key,value) in sub">{{value}}</td>
                                                    <!--<td>{{value.subCategoryname}}</td>-->
                                                    <td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>
                                                    <td><i class="fa fa-spin fa-hand-o-up waves-effect"></i></td>
                                                </tr>
                                                <!--<tr>-->
                                                    <!--<td colspan="3" class="hiddenRow">-->
                                                        <!--<div class="accordian-body collapse packageDetails11 table-responsive" id="accordion11">-->
                                                            <!--<table class="table color-bordered-table success-bordered-table">-->
                                                                <!--<thead>-->
                                                                <!--<tr>-->
                                                                    <!--<th>Product Id</th>-->
                                                                    <!--<th>Product Name</th>-->
                                                                    <!--<th></th>-->
                                                                <!--</tr>-->
                                                                <!--</thead>-->
                                                                <!--<tbody>-->
                                                                <!--<tr>-->
                                                                    <!--<td>1001</td>-->
                                                                    <!--<td>Apple Iphone 7+</td>-->
                                                                    <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                                                <!--</tr>-->
                                                                <!--<tr>-->
                                                                    <!--<td>1002</td>-->
                                                                    <!--<td>RedMi 4</td>-->
                                                                    <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                                                <!--</tr>-->
                                                                <!--</tbody>-->
                                                            <!--</table>-->
                                                        <!--</div>-->
                                                    <!--</td>-->
                                                <!--</tr>-->

                                                <!--<tr id="package11" class="accordion-toggle" data-toggle="collapse" data-parent="OrderPackages1" data-target=".packageDetails12">-->
                                                    <!--<td>11</td>-->
                                                    <!--<td>Mobiles</td>-->
                                                    <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                                    <!--<td><i class="fa  fa-spin fa-hand-o-up waves-effect"></i></td>-->
                                                <!--</tr>-->
                                                <!--<tr>-->
                                                    <!--<td colspan="3" class="hiddenRow">-->
                                                        <!--<div class="accordian-body collapse packageDetails12 table-responsive" id="accordion12">-->
                                                            <!--<table class="table color-bordered-table success-bordered-table">-->
                                                                <!--<thead>-->
                                                                <!--<tr>-->
                                                                    <!--<th>Product Id</th>-->
                                                                    <!--<th>Product Name</th>-->
                                                                    <!--<th></th>-->
                                                                <!--</tr>-->
                                                                <!--</thead>-->
                                                                <!--<tbody>-->
                                                                <!--<tr>-->
                                                                    <!--<td>1001</td>-->
                                                                    <!--<td>Apple Iphone 7+</td>-->
                                                                    <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                                                <!--</tr>-->
                                                                <!--<tr>-->
                                                                    <!--<td>1002</td>-->
                                                                    <!--<td>RedMi 4</td>-->
                                                                    <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                                                <!--</tr>-->
                                                                <!--</tbody>-->
                                                            <!--</table>-->
                                                        <!--</div>-->
                                                    <!--</td>-->
                                                <!--</tr>-->
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <!--<tr id="package2" class="accordion-toggle" data-toggle="collapse" data-parent="#OrderPackages" data-target=".packageDetails2">-->
                                <!--<td>2</td>-->
                                <!--<td>Mens</td>-->
                                <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                <!--<td><i class="fa fa-hand-o-up waves-effect"></i>-->

                                <!--</td>-->
                            <!--</tr>-->
                            <!--<tr>-->
                                <!--<td colspan="3" class="hiddenRow">-->
                                    <!--<div class="accordion-body collapse packageDetails2" id="accordion2">-->
                                        <!--<table class="table color-bordered-table primary-bordered-table">-->
                                            <!--<thead>-->
                                            <!--<tr>-->
                                                <!--<th>Product Id</th>-->
                                                <!--<th>Product Name</th>-->
                                                <!--<th></th>-->
                                            <!--</tr>-->
                                            <!--</thead>-->
                                            <!--<tbody>-->
                                            <!--<tr>-->
                                                <!--<td>1001</td>-->
                                                <!--<td>Apple Iphone 7+</td>-->
                                                <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                            <!--</tr>-->
                                            <!--<tr>-->
                                                <!--<td>1002</td>-->
                                                <!--<td>RedMi 4</td>-->
                                                <!--<td><button class="btn-themecolor">Edit</button>&nbsp;<button class="btn-warning">Delete</button></td>-->
                                            <!--</tr>-->
                                            <!--</tbody>-->
                                        <!--</table>-->
                                    <!--</div>-->
                                <!--</td>-->
                            <!--</tr>-->
                            <!--<tr></tr>-->
                            <!--</tbody>-->
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End PAge Content -->
    <!-- ============================================================== -->
</div>
<!-- ============================================================== -->
<!-- End Container fluid  -->
